package com.ktg.iscs.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ktg.iscs.domain.IsMachinery;
import com.ktg.iscs.domain.dto.machinery.IsMachineryDTO;
import com.ktg.iscs.domain.vo.machinery.IsMachineryVO;

/**
 * 设备工艺Service接口
 *
 * @author cgj
 * @date 2024-12-19
 */
public interface IIsMachineryService extends IService<IsMachinery> {

    Page<IsMachineryVO> getIsMachineryPage(Page<IsMachinery> page, IsMachinery isMachinery);

    Boolean insertIsMachinery(IsMachinery isMachinery);

    Boolean updateIsMachinery(IsMachinery isMachinery);

    Boolean saveMachineryPoints(IsMachineryDTO dto);

    Boolean deleteIsMachineryByMachineryIds(String machineryIds);

    IsMachineryVO selectIsMachineryById(Long machineryId);

}
